%{?scl:%scl_package jnr-enxio}
%{!?scl:%global pkg_name %{name}}
%{?java_common_find_provides_and_requires}

%global baserelease 1

Name:           %{?scl_prefix}jnr-enxio
Version:        0.14
Release:        2.%{baserelease}%{?dist}
Summary:        Unix sockets for Java
Group:          Development/Libraries
# src/main/java/jnr/enxio/channels/PollSelectionKey.java is LGPLv3
# rest of the source code is ASL 2.0
License:        ASL 2.0 and LGPLv3
URL:            http://github.com/jnr/%{pkg_name}/
Source0:        https://github.com/jnr/%{pkg_name}/archive/%{pkg_name}-%{version}.tar.gz
BuildArch:      noarch


BuildRequires:  %{?scl_prefix_java_common}jpackage-utils
BuildRequires:  %{?scl_prefix}jnr-constants
BuildRequires:  %{?scl_prefix}jnr-ffi

BuildRequires:  %{?scl_prefix_maven}maven-local
BuildRequires:  %{?scl_prefix_maven}maven-compiler-plugin
BuildRequires:  %{?scl_prefix_maven}maven-install-plugin
BuildRequires:  %{?scl_prefix_maven}maven-jar-plugin
BuildRequires:  %{?scl_prefix_maven}maven-javadoc-plugin
BuildRequires:  %{?scl_prefix_maven}maven-plugin-bundle
BuildRequires:  %{?scl_prefix_maven}maven-source-plugin
BuildRequires:  %{?scl_prefix_maven}maven-surefire-plugin
BuildRequires:  %{?scl_prefix_maven}maven-surefire-provider-junit
BuildRequires:  %{?scl_prefix_maven}sonatype-oss-parent

Requires:       %{?scl_prefix}jnr-constants
Requires:       %{?scl_prefix}jnr-ffi

%description
Unix sockets for Java.

%package javadoc
Summary:        Javadocs for %{pkg_name}
Group:          Documentation

%description javadoc
This package contains the API documentation for %{pkg_name}.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -q -n %{pkg_name}-%{pkg_name}-%{version}

find ./ -name '*.jar' -delete
find ./ -name '*.class' -delete
%{?scl:EOFSCL}


%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_build
%{?scl:EOFSCL}


%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_install
%{?scl:EOFSCL}


%files -f .mfiles
%doc LICENSE

%files javadoc -f .mfiles-javadoc
%doc LICENSE

%changelog
* Thu Jun 08 2017 Mat Booth <mat.booth@redhat.com> - 0.14-2.1
- Auto SCL-ise package for rh-eclipse47 collection

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Alexander Kurtakov <akurtako@redhat.com> 0.14-1
- Update to upstream 0.14.

* Fri Dec 16 2016 Merlin Mathesius <mmathesi@redhat.com> - 0.12-2
- Add missing BuildRequires to fix FTBFS (BZ#1405579).

* Mon Apr 18 2016 Alexander Kurtakov <akurtako@redhat.com> 0.12-1
- Update to upstream 0.12 that ships osgi metadata too.

* Fri Feb 5 2016 Alexander Kurtakov <akurtako@redhat.com> 0.10-1
- Update to upstream 0.10 release.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Jeff Johnston <jjohnstn@redhat.com> - 0.9-3
- Add proper MANIFEST.MF.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 5 2015 Alexander Kurtakov <akurtako@redhat.com> 0.9-1
- Update to upstream 0.9.

* Thu Apr 30 2015 Alexander Kurtakov <akurtako@redhat.com> 0.8-1
- Update to upstream 0.8.

* Fri Jun 27 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 0.3-7
- Fix FTBFS due to XMvn changes in F21 (#1106957)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0.3-5
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 08 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3-3
- Document the multiple licensing scenario.

* Fri Feb 08 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3-2
- The license is in fact ASL 2.0 and LGPLv3.
- Properly use the dist tag.

* Wed Feb 06 2013 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3-1
- Initial package.